org.eclipse.ease

## Class ICodeFactory.Parameter

- java.lang.Object
- - org.eclipse.ease.ICodeFactory.Parameter

Enclosing interface:
  ICodeFactory

    public static class ICodeFactory.Parameter
    extends java.lang.Object

Parameter definition class. Holds data to describe a script parameter used in a function call.

### Constructor Summary

Constructors
Constructor and Description
`Parameter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<?>` `getClazz()`
`java.lang.String` `getDefaultValue()`
`java.lang.String` `getName()`
`boolean` `isOptional()`
`void` `setClass(java.lang.Class<?> clazz)`
`void` `setDefault(java.lang.String defaultValue)`
`void` `setName(java.lang.String name)`
`void` `setOptional(boolean optional)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Parameter

    public Parameter()

### Method Detail

#### setClass

    public void setClass(java.lang.Class<?> clazz)

#### setName

    public void setName(java.lang.String name)

#### setOptional

    public void setOptional(boolean optional)

#### setDefault

    public void setDefault(java.lang.String defaultValue)

#### getName

    public java.lang.String getName()

#### getClazz

    public java.lang.Class<?> getClazz()

#### getDefaultValue

    public java.lang.String getDefaultValue()

#### isOptional

    public boolean isOptional()